Module javafx.graphics
Package javafx.css

## Class Rule

- java.lang.Object
- - javafx.css.Rule

-     public final class Rule
      extends Object

- - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `ObservableList<Declaration>` | `getDeclarations()` | This method is to support tooling that may want to add declarations to or remove declarations from a Rule.
    `StyleOrigin` | `getOrigin()` |
    `ObservableList<Selector>` | `getSelectors()` | This method is to support tooling that may want to add selectors to or remove selectors from a Rule.
    `Stylesheet` | `getStylesheet()` |
    `String` | `toString()` | Converts this object to a string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getDeclarations

          public final ObservableList<Declaration> getDeclarations()

      This method is to support tooling that may want to add declarations to or remove declarations from a Rule. Changes to the list are tracked so that added declarations are tagged as belonging to this rule, and the rule for removed declarations is nulled out.
      Returns:
        a observable list of declarations

    - #### getSelectors

          public final ObservableList<Selector> getSelectors()

      This method is to support tooling that may want to add selectors to or remove selectors from a Rule. Changes to the list are tracked so that added selectors are tagged as belonging to this rule, and the rule for removed selectors is nulled out.
      Returns:
        an observable list of selectors

    - #### getStylesheet

          public Stylesheet getStylesheet()

    - #### getOrigin

          public StyleOrigin getOrigin()

    - #### toString

          public String toString()

      Converts this object to a string.
      Overrides:
        `toString` in class `Object`
      Returns:
        the converted string